* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Example of a CSS reset */
/* Style for the video background */

.video-container {
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: -1;
    pointer-events: none;
    /* Prevents interaction with the video */
}

#bg-video, #bg-video2 {
    width: 100%;
    height: 100%;
    display: none;
    object-fit: cover;
    opacity: 0.7; /* Ensure opacity is between 0 and 1 */
    box-shadow: 0 0 20px 10px rgba(255, 255, 255, 0.5); /* Glow effect */
    background: black; /* Add background to avoid white spaces */
}

/* Hide the dark mode video by default */
#bg-video2 {
    display: none;
}

/* Show the dark mode video in dark mode */
body.dark-mode #bg-video2 {
    display: block;
}

/* Hide the light mode video in dark mode */
body.dark-mode #bg-video {
    display: none;
}

/* Ensure each section takes up the full viewport height */
.section {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    position: relative;
    z-index: 1;
    background: transparent;
}

/* Smooth page transition effect */
body {
    opacity: 1;
    transition: opacity 0.8s ease-in-out;
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
    background: transparent;
}

header,
.content {
    position: relative;
    z-index: 1;
}

body.fade-out {
    opacity: 0;
}

/* Hide the page initially */
html {
    opacity: 0;
    transition: opacity 0.8s ease-in-out;
}

html.loaded {
    opacity: 1;
}

/* Smooth scroll effect */
html {
    scroll-behavior: smooth;
}

/* Optional: Add styles for scroll buttons or links */
.scroll-link {
    cursor: pointer;
    color: #000;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}

.scroll-link:hover {
    color: #555;
}

/* Smooth scroll effect */
body {
    font-family: 'Poppins', sans-serif;
    line-height: 1.6;
    color: black;
}

.name {
    font-weight: 400;
    margin-top: -10%;
    font-size: 25px;
    font-style: normal;
}

header {
    background-color: transparent;

}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
    background-color: transparent;

}

.nav-links {
    list-style: none;
    display: flex;
    font-size: 25px;
}

.nav-links li {
    margin: 0 1rem;

}

.nav-links a {
    text-decoration: none;
    color: black;
    font-weight: 500;
    font-style: normal;
    transition: 0.6s ease;

}

.nav-links a:hover {
    cursor: pointer;
    text-decoration: overline;
    text-decoration-color: #999;
    text-decoration-thickness: 2px;
    color: #999;
}


.hero {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2rem 1rem;
    background-color: transparent;
}


.hero-content {
    display: flex;
    max-width: 1200px;
    width: 100%;
    align-items: center;
    gap: 2rem;
    justify-content: center;
    margin-top: 5%;
    /* Centering the content */
}

.left-side {
    flex: 1;
    display: flex;
    justify-content: center;

}

.profile-pic {
    width: 400px;
    height: 400px;
    object-fit: cover;
    margin-left: 100%;
    border-radius: 200px;
}

/* PIC ANIMATION */

/* PIC ANIMATION */

.right-side {
    flex: 2;
    text-align: center;
    margin-left: 5%;
    /* Ensure text is centered */
}

.right-side h4 {
    font-weight: 600;
    color: grey;
}

.right-side h1 {
    font-size: 50px;

}

.right-side h2 {
    font-weight: 600;
    margin-bottom: 1rem;
    color: grey;
}


/* H2 TEXT ANIMATION */

/* H2 TEXT ANIMATION */

.social-icons a {
    text-decoration: none;
    color: black;
    font-size: 1.5rem;
    margin: 0 0.5rem;
    transition: all 0.9 ease-in-out;
}

.social-icons a :hover {
    color: #2196F3;
    transform: scale(1.35);
}

/* HAMBURGER MENU */
#hamburger-nav {
    display: none;
    z-index: 1000; /* Ensure this is higher than other elements */
}

.hamburger-menu {
    position: relative;
    display: inline-block;
}

.hamburger-icon {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 24px;
    width: 30px;
    cursor: pointer;

}

.hamburger-icon span {
    width: 100%;
    height: 2px;
    background-color: black;
    transition: all 0.3 ease-in-out;
}

.menu-links {
    position: absolute;
    z-index: 1000; /* Ensure this is higher than other elements */
    top: 100%;
    right: 0;
    background-color: rgba(255, 255, 255, 0.2);
    /* Semi-transparent white background */
    border-radius: 20px;
    width: fit-content;
    max-height: 0;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
    /* Fixed missing unit 's' */
    backdrop-filter: blur(10px);
    /* Apply blur effect */
    -webkit-backdrop-filter: blur(10px);
    /* Apply blur effect for Safari */
}

.menu-links a {
    display: block;
    padding: 10px;
    text-align: left;
    font-size: 1.5rem;
    color: black;
    text-decoration: none;
    transition: all 0.3 ease-in-out;
}

.menu-links li {
    list-style: none;
}

.menu-links.open {
    max-height: 600px;
}


/* Responsive Design */
@media (max-width: 1160px) {
    #desktop-nav {
        display: none;
    }

    #hamburger-nav {
        display: flex;
        z-index: 1000; /* Ensure this is higher than other elements */
    }
}

/* Responsive Design */
@media (max-width: 850px) {

    .nav-links li {
        margin: 0.5rem 0;

    }

    .logo {
        font-size: 200%;
        padding-top: 20px;
    }

    .left-side {
        margin-left: 0;
        /* Remove the margin on smaller screens */
    }
}

@media (max-width: 1200px) {
    .right-side {
        justify-content: center;
        margin-left: 0;
    }

    .hero-content {
        flex-direction: column;
        text-align: center;
    }

    .profile-pic {
        margin-left: 0;
        height: 300px;
        width: 300px;
        /* Remove margin on smaller screens */
    }
}

@media (max-width: 450px) {

    .profile-pic {
        height: 300px;
        width: 300px;
    }

    .right-side h2 {
        font-size: 15px;

    }
}

/* <!-- SCROLLING SECTION --> */
.tutorial {
    height: fit-content;
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    margin-top: -60px;
}

.container {
    display: flex;
    overflow: hidden;
    width: 100%;
    /* Ensure the container spans the full width */
}

.scroller {
    display: flex;
    gap: 10px;
    /* Adjust the gap as needed */
    animation: scroll 75s linear infinite;
}

.scroller:nth-child(2) {
    animation: scroll2 75s linear infinite;
}

.item {
    height: 120px;
    width: auto;
    text-transform: uppercase;
    color: #fff;
    padding: 7px 15px;
    margin-top: 1%;
    border-radius: 7px;
}

@keyframes scroll {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-50%);
    }
}

@keyframes scroll2 {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-50%);
    }
}

/* <!-- SCROLLING-REVERSE SECTION --> */
.tutorial-reverse {
    height: fit-content;
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.container-reverse {
    display: flex;
    overflow: hidden;
    margin-top: -70px;
    width: 100%;
    /* Ensure the container spans the full width */
}

.scroller-reverse {
    display: flex;
    gap: 10px;
    /* Adjust the gap as needed */
    animation: scroll-reverse 68s linear infinite;
}

.scroller-reverse:nth-child(2) {
    animation: scroll-reverse2 68s linear infinite;
}

@keyframes scroll-reverse {
    0% {
        transform: translateX(-75%);
    }

    100% {
        transform: translateX(0%);
    }
}

@keyframes scroll-reverse2 {
    0% {
        transform: translateX(-65%);
    }

    100% {
        transform: translateX(0%);
    }
}



/* <!-- SCROLLING SECTION --> */

/* About Me Section */
.about-me {
    text-align: center;
    padding: 4rem 2rem;
    background-color: transparent;
}

.about-me h4 {
    font-weight: 300;
    color: grey;

}

.about-me h1 {
    font-size: 50px;
    margin: 0.5rem 0 2rem;
    color: black;
}

.about-container {
    display: flex;
    justify-content: center;
    gap: 3rem;
    flex-wrap: wrap;
}

.about-box {
    border: 1px solid #333;
    border-radius: 15px;
    padding: 2rem;
    width: 440px;
    /* Adjust the width to make it more rectangular */
    text-align: center;
    /* Optional: Add background color for better visibility */
}

.about-box i {
    font-size: 2rem;
    margin-bottom: 1rem;
}

.about-box h3 {
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.about-box p {
    margin-bottom: 0.5rem;
    color: grey;
}

.about-descriptionme {
    margin-top: 2rem;
    color: black;
    max-width: 940px;
    padding-left: 3px;
    margin-left: auto;
    margin-right: auto;
    line-height: 1.6;
    text-align: justify;
}

/* Responsive Design */
@media (max-width: 1001px) {
    .about-container {
        flex-direction: column;
        align-items: center;

    }

    .about-box {
        width: 92%;
    }

    .about-descriptionme {
        text-align: justify;
        justify-content: center;
        margin-left: 3%;
        padding-right: 3%;
    }
}



/* MAKING RESPONSIVE */

/* Experience Section */
.experience {
    text-align: center;
    background-color: transparent;
}

.experience h4 {
    font-weight: 300;
    color: grey;
}

.experience h1 {
    font-size: 50px;
    margin: 0.5rem 0 2rem;
    color: black;
}

.experience-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.experience-content {
    border: 1px solid #333;
    border-radius: 15px;
    padding: 2rem;
    width: 940px;
    /* Adjust the width to make it more rectangular */
    /* Optional: Add background color for better visibility */
    display: flex;
    justify-content: space-between;
    gap: 2rem;
}

.experience-column {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    text-align: left;
}

.experience-item h3 {
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.experience-item p {
    margin-bottom: 0.5rem;
    color: grey;
}

/* Responsive Design */
@media (max-width: 1001px) {
    .experience-content {
        flex-direction: column;
        align-items: left;
        width: 86%;
    }

    .experience-column {
        width: 90%;
        text-align: left;
    }

    .experience-item {
        justify-content: center;
    }

    .experience h1 {
        font-size: 50px;
    }

    .experience h4 {
        font-size: 20px;
    }
}

/* Skills Section */
.skills {
    text-align: center;
    padding: 4rem 2rem;
    background-color: transparent;
}

.skills h4 {
    font-weight: 300;
    color: grey;
}

.skills h1 {
    font-size: 50px;
    margin: 0.5rem 0 2rem;
    color: black;
}

.skills-container {
    display: flex;
    justify-content: center;
    align-items: center;

}

.skills-content {
    border: 1px solid #333;
    border-radius: 15px;
    padding: 2rem;
    width: 940px;
    /* Adjust the width to make it more rectangular */
    /* Optional: Add background color for better visibility */
    display: flex;
    justify-content: space-between;
    gap: 2rem;
}

.skills-column {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: left;
}

.skill-item {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.skill-item i {
    font-size: 1.2rem;
}

.skill-item span {
    font-weight: 1000;
    color: black;
}

/* Responsive Design */
@media (max-width: 1001px) {
    .skills-content {
        flex-direction: column;
        align-items: left;
        width: 95%;
    }

    .skills-column {
        width: 90%;
        text-align: left;
    }

    .skill-item {
        justify-content: left;
    }

    .skills h1 {
        font-size: 50px;
    }

    .skills h4 {
        font-size: 20px;
    }
}

/* MAKING RESPONSIVE */

/* Works Section */
.works {
    text-align: center;
    background-color: transparent;
}

.works h4 {
    font-weight: 300;
    color: grey;
}

.works h1 {
    font-size: 50px;
    margin: 0.5rem 0 2rem;
    color: black;
}

.works-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    width: 100%;
    max-width: 960px;
    margin: 0 auto;
}

.work-item {
    border: 1px solid #333;
    border-radius: 15px;
    padding: 1rem;
    text-align: center;
    width: 300px;
    backdrop-filter: blur(10px);
    background: rgba(255, 255, 255, 0.1); /* Semi-transparent background */
    text-decoration: none;
    color: inherit;
    transition: transform 0.4s ease-in-out, z-index 0s ease 0s, background 0.4s ease-in-out, backdrop-filter 0.4s ease-in-out;
    position: relative;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Add a subtle shadow for depth */
}

.work-item:hover,
.work-item:focus,
.work-item:active {
    transform: scale(1.15);
    filter: grayscale(0);
    z-index: 10;
    backdrop-filter: blur(10px); /* Ensure the blur effect remains on hover, focus, and active states */
    background: rgba(255, 255, 255, 0.1); /* Ensure background remains consistent on hover, focus, and active states */
    transition: transform 0.3s ease-in-out, z-index 0s ease 0s, background 0.3s ease-in-out, backdrop-filter 0.3s ease-in-out;
}

/* Ensuring the background remains intact on hover, focus, and active states */
.work-item:active,
.work-item:focus {
    outline: none; /* Remove default focus outline */
    background: rgba(255, 255, 255, 0.1); /* Ensure background remains consistent */
}

.work-item:focus-visible {
    outline: none; /* Remove the outline when focused */
    background: rgba(255, 255, 255, 0.1); /* Maintain the same background */
}


.work-image {
    width: 100%;
    border-radius: 30px;
    object-fit: cover;
}

.work-label {
    font-weight: 600;
    margin-top: 0.5rem;
    color: #333;
    border: 1px solid #333;
    border-radius: 10px;
    padding: 0.5rem;
    display: inline-block;
}

/* Responsive Design */
@media (max-width: 600px) {
    .work-item {
        width: 80%;
    }

    .work-item:hover {
        transform: scale(1.10);
        filter: grayscale(0);
        z-index: 10;
        transition: transform 0.3s ease-in-out, z-index 0s ease 0s;
    }
}

@media (min-width: 601px) and (max-width: 999px) {
    .works-container {
        justify-content: center;
        width: 90%;
    }

    .work-item {
        width: calc(50% - 1rem);
        /* Two columns */

    }
}

@media (min-width: 1020px) {
    .works-container {
        justify-content: center;
    }

    .work-item {
        width: calc(33.33% - 1rem);
        /* Three columns */
    }
}

/* Works Section */

/* ARTICLES WRITING SECTION */
.article-section {
    padding: 3rem;
    padding-top: 5%;
    margin-top: -4%;
    background-color: transparent;
    text-align: center;
    /* Center text */
}

.article-section h4 {
    font-weight: 300;
    color: grey;
    margin-top: 50px;
    font-family: 'Poppins', sans-serif;
}

.article-section h1 {
    font-size: 50px;
    margin: 0.5rem 0 2rem;
    color: black;
    font-family: 'Poppins', sans-serif;
}

.article-container {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    gap: 1rem;
    align-items: center;
    margin: 0 auto;
    margin-bottom: -4%;
    width: 100%;
    max-width: 960px;
}

.article-container a {
    text-decoration: none;
    /* Remove underline from links */
    color: inherit;
    /* Inherit color from parent */
}

.article-card {
    position: relative;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    overflow: hidden;
    max-width: 300px;
    height: 380px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    transition: transform 0.3s ease;
    font-family: 'Poppins', sans-serif;
}

.article-card:hover {
    transform: scale(1.15);
    cursor: pointer;
    z-index: 10;
    /* Bring the hovered item above others */
    transition: transform 0.3s ease-in-out, z-index 0s ease 0s;
    /* Smooth hover effect */
}

.article-card img {
    width: 100%;
    height: 200px;
    /* Adjust based on your image height */
    object-fit: cover;
}

.article-card .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 200px;
    /* Match the image height */
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    font-size: 1.5rem;
    font-weight: bold;
    pointer-events: none;
    /* Ensure only the card hover triggers the overlay */
}

.article-card:hover .overlay {
    opacity: 1;
}

.article-content {
    padding: 1rem;
    text-align: left;
    justify-content: center;
}

.article-meta {
    display: flex;
    align-items: center;
    margin-bottom: 0.5rem;
}

.author-image {
    border-radius: 50%;
    margin-right: 0.5rem;
}

.author-info {
    text-align: left;
}

.author-name {
    font-weight: 600;
}

.publish-date {
    font-size: 0.8rem;
    color: grey;
}

.article-title {
    font-size: 1.2rem;
    font-weight: 600;
    margin: 0.5rem 0;
}

.article-description {
    font-size: 0.9rem;
    color: grey;
    opacity: 70%;
}

#read-more-container {
    text-align: center;
    margin-top: 70px;
}

#read-more {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    background-color: #333;
    color: #fff;
    border: none;
    border-radius: 5px;
}

#read-more:hover {
    background-color: #555;
}

/* Responsive Design */

/* Single-column layout for widths 0-600px */
@media (max-width: 600px) {
    .article-container {
        flex-direction: column;
        align-items: center;
    }

    .article-card {
        width: 100%;
    }

    .article-section h1 {
        font-size: 50px;
    }

    .article-section h4 {
        font-size: 20px;
    }
}

/* Grid layout with 2 columns and 4 rows for widths 601-1000px */
@media (min-width: 601px) and (max-width: 1000px) {
    .article-container {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
    }

    .article-card {
        width: calc(105% - 1rem);

    }
}

/* Grid layout with 3 rows and 3 columns for widths 1000px and above */
@media (min-width: 1000px) {
    .article-container {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
    }

    .article-card {
        width: calc(105% - 1rem);
    }
}

/* ARTICLE1 SECTION */
.article1-section {
    padding: 2rem;
    background-color: transparent;
    text-align: center;
}

.article1-image-container {
    position: relative;
    z-index: -1;
    /* Ensure it is behind the hamburger menu */
}

.article1-image {
    width: 100%;
    max-width: 1000px;
    border-radius: 20px;
    height: auto;
    display: block;
    margin: 0 auto;
}

.article1-image-credit {
    font-size: 0.9rem;
    color: grey;
    margin-top: 0.5rem;
}

.article1-text {
    margin-top: 2rem;
    padding: 0;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    text-align: justify;
    /* Align text to the left */
}

.article1-text h1 {
    font-size: 2.5rem;
    color: black;
    margin-bottom: 1rem;
    text-align: left;
}

.article1-text h4 {
    text-align: left;
    color: grey;
}

.readarticlebutton {
padding: 1rem 1rem;
border: none;
border-radius: 15px;
background-color: black;
color: #fff;
margin-top: 3%;
font-size: 1rem;
font-weight: 300;
cursor: pointer;
margin-left: -1%;
transition: background-color 0.3s ease;
}

.readarticlebutton:hover {
    background-color: grey;
}



.article1-text p,
.article1-text h2,
.article1-text h3 {
    margin: 1rem 0;
}

.article1-text h2 {
    font-size: 1.5rem;
    color: black;
}

.article1-text h3 {
    font-size: 1.2rem;
    color: black;
}

/* Responsive Design */
@media (max-width: 768px) {
    .article1-image {
        width: 100%;
    }

    .article1-text {
        padding: 0 1rem;
    }

    .article1-text h1 {
        font-size: 2rem;
    }

    .article1-text h2 {
        font-size: 1.2rem;
    }

    .article1-text h3 {
        font-size: 1rem;
    }
}

/* Ensure hamburger menu is on top */
.hamburger-menu {
    z-index: 1000; /* Ensure this is higher than other elements */
}

@media (max-width: 1160px) {

    .hamburger-icon {
        margin-top: 17px;
    }

}

/* ARTICLE1 SECTION */

/* Define CSS variables for placeholder colors */
:root {
    --placeholder-color-light: black;
    --placeholder-color-dark: white;
}

/* Contact Section */
.contact {
    text-align: center;
    padding: 4rem 2rem;
}

.contact h4 {
    font-weight: 300;
    color: grey;
}

.contact h1 {
    font-size: 50px;
    margin: 0.5rem 0 2rem;
    color: black;
}

.contact-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
}

.contact-input,
.contact-textarea {
    width: 80%;
    max-width: 600px;
    padding: 1rem;
    border: 1px solid grey;
    border-radius: 15px;
    font-size: 1rem;
    color: black;
    background: transparent;
    font-family: 'Poppins', sans-serif;

}

.contact-input:focus,
.contact-textarea:focus {
    outline: none;
    /* Remove default blue outline */
    border-color: grey;
    /* Set border color to grey */
}

.contact-input::placeholder,
.contact-textarea::placeholder {
    font-family: 'Poppins', sans-serif;
    color: var(--placeholder-color-light);
    /* Use the placeholder color variable */
    opacity: 50%;
}

.contact-textarea {
    height: 150px;
    resize: none;
    color: black;
}


/* Ensure all textarea placeholders are the same color as the input placeholders */
.contact-textarea::placeholder {
    color: black;
}


/* ANIMATION CONTACT */
.contact-submit {
    padding: 1rem 2rem;
    border: none;
    border-radius: 15px;
    background-color: black;
    color: #fff;
    font-size: 1rem;
    font-weight: 500;
    cursor: pointer;
    margin-left: -1%;
    transition: background-color 0.3s ease;

}

/* Popup styling */
.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    display: none;
    /* Initially hidden */
}

.popup-content {
    background: white;
    padding: 2rem;
    border-radius: 20px;
    text-align: center;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.popup-content h2 {
    margin-bottom: 1rem;
}

.popup-content button {
    padding: 0.5rem 1rem;
    border: none;
    border-radius: 10px;
    background: black;
    color: white;
    cursor: pointer;
}

/* Popup content for smaller screens */
@media (max-width: 600px) {
    .popup-content {
        max-width: 90%;
        /* Reduce the width further for smaller screens */
        padding: 1rem;
        /* Adjust padding for smaller screens */
    }
}

.popup-content h2 {
    margin-bottom: 1rem;
}

.popup-content button {
    padding: 0.5rem 1rem;
    border: none;
    border-radius: 10px;
    background: black;
    color: white;
    cursor: pointer;
}

/* Popup styling */


/* ANIMATION CONTACT */
.contact-submit:hover {
    background-color: grey;
}

/* Footer Navigation */
.footer {
    margin-top: 2rem;
    text-align: center;
    margin-left: 1%;
    /* Center the footer content */
}

.footer-nav {
    text-align: center;
    /* Center the navigation */
    display: flex;
    justify-content: center;
    /* Center the content */
}

.footer-nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    /* Center the navigation items */
    gap: 2rem;
    padding: 0;
    flex-wrap: wrap;
    /* Ensure items wrap if they don't fit in one line */
}

.footer-nav a {
    text-decoration: none;
    color: black;
    font-weight: 500;
    font-size: 25px;
    display: inline-block;
    /* Ensure links take the correct space */
    padding: 0.5rem;
    transition: color 0.6s ease;
}

.footer-nav a:hover {
    text-decoration: overline;
    text-decoration-color: grey;
    text-decoration-thickness: 2px;

    color: grey;
}

.footer p {
    margin-top: 1rem;
    color: black;
    font-size: 0.875rem;
    text-align: center;
    /* Center the text */
}

/* Responsive Design */
@media (max-width: 768px) {

    .contact-input,
    .contact-textarea {
        width: 90%;
    }

    .footer-nav ul {
        flex-direction: column;
        gap: 1rem;
    }
}

/* WEBSITE SECTION */
.website {
    padding: 4rem 2rem;
    background-color: var(--background-color);
    color: var(--text-color);
}


.website h1 {
    font-size: 50px;
    font-weight: 700;
    margin-bottom: 1.5rem;
    margin-left: -2px;
    text-align: left;
}

.about-description {
    font-weight: lighter;
}

.website p {
    max-width: 800px;
    margin: 0 0 2rem 0;
    line-height: 1.6;
    color: var(--text-color);
    text-align: justify;
}

.website-image-container {
    display: flex;
    flex-direction: row;
    /* Arrange images in a row */
    flex-wrap: wrap;
    /* Allow wrapping of images */
    justify-content: center;
    /* Center the images horizontally */
    gap: 3rem;
    /* Add space between images */
    margin: 2rem 0;
}

.website-image {
    max-width: 100%;
    /* Ensure the image scales with its container */
    width: 100%;
    max-width: 500px;
    /* Set a max-width for images */
    height: auto;
    border-radius: 10px;
    margin-top: 20px;
    transition: transform 0.3s ease-in-out;
}

.website-image:hover {
    transform: scale(1.30);
    /* Slightly enlarge on hover */
    cursor: pointer;
}

.website-details {
    display: flex;
    justify-content: flex-start;
    gap: 2rem;
    flex-wrap: wrap;
    align-items: flex-start;
}

.website-detail-item {
    text-align: left;
    max-width: 200px;
}

.website-detail-item h4 {
    font-weight: 900;
    margin-bottom: 0.5rem;
}

.website-detail-item p {
    margin: 0;
    color: var(--text-color);
    font-weight: lighter;
}

/* Responsive Design */
@media (max-width: 768px) {
    .website h1 {
        font-size: 35px;
        text-align: center;
    }

    .about-description {
        padding-left: 5%;

    }

    .website p {
        max-width: 100%;
        margin-right: 4%;
        font-size: 11px;
        /* Increase the width to help with text distribution */
        margin-bottom: 1.5rem;
        text-align: justify;

        /* Ensures the last line is aligned to the left */
        justify-content: left;
        hyphens: auto;
        /* Enables word hyphenation */
        overflow-wrap: break-word;
        /* Allows breaking long words */
        word-break: break-word;
        /* Ensures long words break properly */
        letter-spacing: 0.5px;
        /* Adjust letter spacing */
        word-spacing: 1px;
        /* Adjust word spacing */
        line-height: 1.6;
        /* Increase line height for better readability */
    }

    .website-image-container {
        flex-direction: column;
        align-items: center;
        margin-top: -20px;
        gap: 1rem;

    }

    .website-image {
        max-width: 90%;
        /* Adjust for smaller screens */
    }

    .website-details {
        flex-direction: row;
        justify-content: center;
        align-items: flex-start;
    }

    .website-detail-item {
        /* max-width: 90%; */
        width: 80px;
        font-size: 13px;
        padding-left: 25px;
    }

    .website-image:hover {
        transform: scale(1.10);
        /* Slightly enlarge on hover */
        cursor: pointer;
    }
}

/* WEBSITE SECTION */

/* BRANDING SECTION */
.branding {
    padding: 4rem 2rem;
    background-color: var(--background-color);
    color: var(--text-color);
}

.branding h1 {
    font-size: 50px;
    font-weight: 700;
    margin-bottom: 1.5rem;
    text-align: left;
    margin-left: -2px;
}

.second-branding {
    padding-top: 5%;
}

.branding p {
    max-width: 800px;
    margin: 0 0 2rem 0;
    line-height: 1.6;
    color: var(--text-color);
    text-align: justify;
}

.branding-image-container {
    display: flex;
    flex-direction: row;
    /* Arrange images in a row */
    flex-wrap: wrap;
    /* Allow wrapping of images */
    justify-content: center;
    /* Center the images horizontally */
    gap: 3rem;
    /* Add space between images */
    margin: 2rem 0;
}

.branding-image {
    max-width: 100%;
    /* Ensure the image scales with its container */
    width: 100%;
    max-width: 500px;
    /* Set a max-width for images */
    height: auto;
    border-radius: 10px;
    margin-top: 20px;
    transition: transform 0.3s ease-in-out;
}

.branding-image:hover {
    transform: scale(1.30);
    /* Slightly enlarge on hover */
    cursor: pointer;
}
.between-image {
    max-width: 100%;
    /* Ensure the image scales with its container */
    width: 100%;
    max-width: 600px;
    /* Set a max-width for images */
    height: auto;
    border-radius: 10px;
    margin-top: 20px;
    transition: transform 0.3s ease-in-out;
}

.between-image:hover {
    transform: scale(1.04);
    /* Slightly enlarge on hover */
}
.between-image-credit {
    font-size: 0.9rem;
    color: grey;
    margin-top: 0.3rem;
}

.branding-details {
    display: flex;
    justify-content: flex-start;
    gap: 2rem;
    flex-wrap: wrap;
    align-items: flex-start;
}

.branding-detail-item {
    text-align: left;
    max-width: 200px;
}

.branding-detail-item h4 {
    font-weight: 900;
    margin-bottom: 0.5rem;
}

.branding-detail-item p {
    margin: 0;
    color: var(--text-color);
    font-weight: lighter;
}

/* Responsive Design */
@media (max-width: 768px) {
    .branding h1 {
        font-size: 35px;
        text-align: center;
    }

    .second-branding {
        padding-top: 10%;
    }

    .branding p {
        max-width: 90%;
        margin-bottom: 1.5rem;
        text-align: justify;
        justify-content: center;
    }

    .branding-image-container {
        flex-direction: column;
        align-items: center;
        margin-top: -2%;
    }

    .branding-image {
        max-width: 90%;
        /* Adjust for smaller screens */
    }

    .branding-image:hover {
        transform: scale(1.15);
        /* Slightly enlarge on hover */
    }

    .branding-details {
        flex-direction: row;
        justify-content: center;
        text-align: center;
        align-items: flex-start;

    }

    .branding-detail-item {
        width: 80px;
        font-size: 13px;
        justify-content: center;
        padding-left: 5px;
    }
}

/* BRANDING SECTION */

/* MG SECTION */
.motiongraphics {
    padding: 4rem 2rem;
    background-color: var(--background-color);
    color: var(--text-color);
}

.motiongraphics h1 {
    font-size: 50px;
    font-weight: 700;
    margin-bottom: 1.5rem;
    text-align: left;
}

.motiongraphics p {
    max-width: 800px;
    margin: 0 0 2rem 0;
    line-height: 1.6;
    color: var(--text-color);
    text-align: justify;
}

.motiongraphics-image-container {
    display: flex;
    flex-direction: row;
    /* Arrange images in a row */
    flex-wrap: wrap;
    /* Allow wrapping of images */
    justify-content: center;
    /* Center the images horizontally */
    gap: 4rem;
    /* Add space between images */
    margin: 2rem 0;
}

.motiongraphics-image {
    max-width: 100%;
    /* Ensure the image scales with its container */
    width: 100%;
    max-width: 600px;
    /* Set a max-width for images */
    height: auto;
    border-radius: 10px;
    margin-top: 20px;
    transition: transform 0.3s ease-in-out;
}

.motiongraphics-image:hover {
    transform: scale(1.20);
    /* Slightly enlarge on hover */
    cursor: pointer;
}

.youtube-link {
    padding-top: 3%;
    font-size: 30px;
    margin: 0.5rem 0 2rem;
    color: black;
    text-decoration: none;
}

/* Responsive Design */
@media (max-width: 768px) {
    .motiongraphics h1 {
        font-size: 30px;
        text-align: center;
    }


    .motiongraphics p {
        max-width: 90%;
        margin-bottom: 1.5rem;
        text-align: left;
        margin-left: 10px;
        justify-content: center;
    }

    .motiongraphics-image-container {
        flex-direction: column;
        align-items: center;
    }

    .motiongraphics-image {
        max-width: 90%;
        /* Adjust for smaller screens */
    }

    .motiongraphics-image:hover {
        transform: scale(1.15);
        /* Slightly enlarge on hover */
    }
}

/* MG SECTION */



/* POSTERS SECTION */
.posterdesigns {
    padding: 4rem 2rem;
    background-color: var(--background-color);
    color: var(--text-color);
}

.posterdesigns h1 {
    font-size: 50px;
    font-weight: 700;
    margin-bottom: 1.5rem;
    text-align: left;
}

.posterdesigns p {
    max-width: 800px;
    margin: 0 0 2rem 0;
    line-height: 1.6;
    color: var(--text-color);
    text-align: justify;
}

.posterdesigns-image-container {
    display: flex;
    flex-direction: row;
    /* Arrange images in a row */
    flex-wrap: wrap;
    /* Allow wrapping of images */
    justify-content: center;
    /* Center the images horizontally */
    gap: 4rem;
    /* Add space between images */
    margin: 2rem 0;
}

.posterdesigns-image {
    max-width: 100%;
    /* Ensure the image scales with its container */
    width: 100%;
    max-width: 500px;
    /* Set a max-width for images */
    height: auto;
    border-radius: 10px;
    margin-top: 20px;
    transition: transform 0.3s ease-in-out;
}

.posterdesigns-image:hover {
    transform: scale(1.40);
    /* Slightly enlarge on hover */
    cursor: pointer;
}

/* Responsive Design */
@media (max-width: 768px) {
    .posterdesigns h1 {
        font-size: 35px;
        text-align: center;
    }

    .posterdesigns p {
        max-width: 90%;
        margin-bottom: 1.5rem;
        text-align: justify;
        justify-content: center;
    }

    .posterdesigns-image-container {
        flex-direction: column;
        align-items: center;
    }

    .posterdesigns-image {
        max-width: 90%;
        /* Adjust for smaller screens */
    }

    .posterdesigns-image:hover {
        transform: scale(1.15);
        /* Slightly enlarge on hover */
    }
}

/* POSTERS SECTION */

/* LOGOS SECTION */
.Logos {
    padding: 4rem 2rem;
    background-color: var(--background-color);
    color: var(--text-color);
}

.Logos h1 {
    font-size: 50px;
    font-weight: 700;
    margin-bottom: 1.5rem;
    text-align: left;
}

.Logos p {
    max-width: 800px;
    margin: 0 0 2rem 0;
    line-height: 1.6;
    color: var(--text-color);
    text-align: justify;
}

.Logos-image-container {
    display: flex;
    flex-direction: row;
    /* Arrange images in a row */
    flex-wrap: wrap;
    /* Allow wrapping of images */
    justify-content: center;
    /* Center the images horizontally */
    gap: 4rem;
    /* Add space between images */
    margin: 2rem 0;
}

.Logos-image {
    max-width: 100%;
    /* Ensure the image scales with its container */
    width: 100%;
    max-width: 200px;
    /* Set a max-width for images */
    height: auto;
    border-radius: 10px;
    margin-top: 20px;
    transition: transform 0.3s ease-in-out;
}

.Logos-image:hover {
    transform: scale(1.50);
    /* Slightly enlarge on hover */
    cursor: pointer;
}

/* Responsive Design */
@media (max-width: 768px) {
    .Logos h1 {
        font-size: 35px;
        text-align: center;
    }

    .Logos p {
        max-width: 90%;
        margin-bottom: 1.5rem;
        text-align: justify;
        justify-content: center;
    }

    .Logos-image-container {
        flex-direction: row;
        align-items: center;
        gap: 1rem;

    }

    .Logos-image {
        max-width: 30%;
        /* Adjust for smaller screens */
    }

    .Logos-image:hover {
        transform: scale(1.35);
        /* Slightly enlarge on hover */
    }
}

@media (max-width: 380px) {

    .Logos-image {
        max-width: 20%;
        /* Adjust for smaller screens */
    }
}

/* LOGOS SECTION */

/* SKILLS LOGOS SECTION */
.Skillslogo {
    padding: 2rem 2rem;
    background-color: var(--background-color);
    color: var(--text-color);
}

.Skillslogo p {
    max-width: 800px;
    margin: 0 0 2rem 0;
    line-height: 1.6;
    color: var(--text-color);
    text-align: justify;
}

.Skillslogos-image-container {
    display: flex;
    flex-direction: row;
    /* Arrange images in a row */
    flex-wrap: wrap;
    /* Allow wrapping of images */
    justify-content: center;
    /* Center the images horizontally */
    gap: 1rem;
    max-width: 900px;
    /* Add space between images */
    margin: 4rem 0;
    margin-top: -4rem;
}

/* Tooltip container */
.Skillslogos-item {
    position: relative;
    display: inline-block;
    margin: 0.5rem;
}

/* Tooltip text */
.tooltip-text {
    visibility: hidden;
    width: 90px;
    /* Adjusts the width of the tooltip */
    background-color: black;
    /* Background color of the tooltip */
    color: white;
    /* Text color of the tooltip */
    text-align: center;
    /* Centers the text inside the tooltip */
    padding: 3px;
    /* Adjusts the padding to reduce the height of the tooltip */
    border-radius: 6px;
    /* Rounds the corners of the tooltip */
    font-size: 0.8rem;
    /* Reduces the font size to make the tooltip text smaller */

    /* Position the tooltip text */
    position: absolute;
    z-index: 1;
    bottom: 105%;
    /* Position it above the image */
    left: 50%;
    margin-top: -30px;
    /* Adjusts the vertical position of the tooltip */
    margin-left: -43px;
    /* Centers the tooltip horizontally */

    /* Fade in tooltip */
    opacity: 0;
    transition: opacity 1s;
}

/* Show the tooltip text when you mouse over the tooltip container */
.Skillslogos-item:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
}

/* Skills logos image styling */
.Skillslogos-image {
    /* Ensure the image scales with its container */
    width: 55px;
    /* Set a max-width for images */
    height: auto;
    margin-top: 10px;
    transition: transform 0.2s ease-in-out;
}

.Skillslogos-image:hover {
    transform: scale(1.20);
    /* Slightly enlarge on hover */
    cursor: pointer;
}

/* Responsive Design */


@media (min-width: 768px) and (max-width: 991px) {
    .Skillslogos-image-container {
        flex-direction: row;
        align-items: center;
        max-width: 85%;
    }

    .Skillslogos-image {
        width: 59px;
        /* Adjust for smaller screens */
    }
}

@media (min-width: 450px) and (max-width: 768px) {
    .Skillslogos h1 {
        font-size: 35px;
        text-align: center;
    }

    .Skillslogos-image-container {
        flex-direction: row;
        align-items: center;
        max-width: 92%;
    }

    .Skillslogos-image {
        width: 55px;
        /* Adjust for smaller screens */
    }

    .Skillslogos-image:hover {
        transform: scale(1.35);
        /* Slightly enlarge on hover */
    }
}

@media (max-width: 450px) {
    .Skillslogos-image-container {
        flex-direction: row;
        align-items: center;
        max-width: 92%;
    }

    .Skillslogos-image {
        width: 40px;
        /* Adjust for smaller screens */
    }

    .Skillslogos-image:hover {
        transform: scale(1.35);
        /* Slightly enlarge on hover */
    }
}


/* SKILLS LOGOS SECTION */

/* Toggle Switch CSS */
.switch {
    position: relative;
    display: inline-block;
    width: 34px;
    height: 20px;
    margin-left: 1rem;
    margin-top: 20%;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: black;
    transition: 0.4s;
    border-radius: 34px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 12px;
    width: 12px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    transition: 0.4s;
    border-radius: 50%;
}

input:checked+.slider {
    background-color: #2196F3;
}

input:checked+.slider:before {
    transform: translateX(14px);
}

.hover-text {
    position: absolute;
    top: -22px;
    left: 50%;
    transform: translateX(-50%);
    background-color: black;
    color: white;
    padding: 2px 6px;
    border-radius: 4px;
    font-size: 10px;
    opacity: 0;
    transition: opacity 0.3s;
    white-space: nowrap;
    pointer-events: none;
}

.switch:hover .hover-text {
    opacity: 1;
}


/* Dark Mode Styles */
body.dark-mode {
    background-color: black;
    color: white;
}

body.dark-mode header {
    background-color: transparent;
}

body.dark-mode nav {
    background-color: transparent;
}

body.dark-mode .profile-pic {
    border-color: white;
}

body.dark-mode .nav-links a {
    color: white;
}

body.dark-mode .nav-links a:hover {
    text-decoration: overline;
    text-decoration-color: grey;
    text-decoration-thickness: 2px;
    color: grey;
}

body.dark-mode .youtube-link {
    color: white;
}

body.dark-mode .input-wrapper {
    position: relative;
    width: 80%;
    max-width: 600px;
}

body.dark-mode .required-asterisk {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    color: red;
    font-size: 1.2rem;
}

body.dark-mode .social-icons a {
    text-decoration: none;
    color: white;
    opacity: 30%;
    font-size: 1.5rem;
    margin: 0 0.5rem;
    transition: all 0.9 ease-in-out;
}

body.dark-mode .social-icons a:hover {
    color: #2196F3;
    opacity: 100%;
    transform: scale(1.35);
}

body.dark-mode .about-description {
    color: white;
    opacity: 50%;
}

body.dark-mode .readarticlebutton {
    background-color: white;
    color: black;
}
body.dark-mode .readarticlebutton:hover {
    background-color: grey;
}

/* Dark Mode for Hamburger Menu */
body.dark-mode .hamburger-icon span {
    width: 100%;
    height: 2px;
    background-color: white;
    transition: all 0.3 ease-in-out;
}

body.dark-mode .menu-links {
    position: absolute;
    top: 100%;
    right: 0;
    border-radius: 20px;
    background-color: rgba(255, 255, 255, 0.2);
    width: fit-content;
    max-height: 0;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

body.dark-mode .menu-links a {
    display: block;
    padding: 10px;
    text-align: left;
    font-size: 1.5rem;
    color: white;
    text-decoration: none;
    transition: all 0.3 ease-in-out;
}

body.dark-mode .menu-links li {
    list-style: none;
}

body.dark-mode .menu-links.open {
    max-height: 600px;
}

body.dark-mode .about-me,
body.dark-mode .experience,
body.dark-mode .skills,
body.dark-mode .works,
body.dark-mode .contact {
    background-color: transparent;
    color: white;
}

body.dark-mode .tooltip-text {
    background-color: white;
    color: black;
}

body.dark-mode .work-item {
    backdrop-filter: blur(50px);
    background-color: white;
}


body.dark-mode h1,
body.dark-mode span {
    color: white;
}

body.dark-mode .article1-text h4 {
    color: white;
    opacity: 60%;
}

body.dark-mode .article-section h2,
p {
    color: black;
}

body.dark-mode .article1-text p {
    color: grey;
}

body.dark-mode .article1-text h2 {
    color: white;
}

body.dark-mode .article1-text h3 {
    color: white;
}


body.dark-mode .about-box,
body.dark-mode .experience-content,
body.dark-mode .skills-content,
body.dark-mode .work-item,
body.dark-mode .contact-form {
    border-color: white;

}

body.dark-mode .about-descriptionme {
    color: grey;
}

body.dark-mode .website,
body.dark-mode .branding,
body.dark-mode .motiongraphics,
body.dark-mode .posterdesigns,
body.dark-mode .Logos {
    background-color: transparent;
    color: white;
}

body.dark-mode .website p,
body.dark-mode .branding p,
body.dark-mode .motiongraphics p,
body.dark-mode .posterdesigns p,
body.dark-mode .Logos p {
    color: white;
    opacity: 50%;
}


body.dark-mode .articles-item p {
    color: #000;
}

body.dark-mode .footer {
    background-color: transparent;
    color: white;
}

body.dark-mode .footer-nav a {
    color: white;
}

body.dark-mode .footer-nav a:hover {
    text-decoration: overline;
    text-decoration-color: grey;
    text-decoration-thickness: 2px;
    color: grey;
}

body.dark-mode .footer p {
    color: grey;
}

body.dark-mode .popup-content h2 {
    color: black;
}

body.dark-mode .contact-submit {
    padding: 1rem 2rem;
    border: none;
    border-radius: 15px;
    background-color: white;
    color: black;
    font-size: 1rem;
    font-weight: 500;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

/* Dark mode placeholder color */
body.dark-mode .contact-input::placeholder {
    color: white;
}

body.dark-mode .contact-textarea::placeholder {
    color: white;
}

body.dark-mode .contact-textarea {
    color: white;
}

body.dark-mode .contact-input {
    color: white;
}

body.dark-mode .contact-submit:hover {
    background-color: grey;
}